/* 
 * File:   DisplayManager.h
 * Author: Bob Alexander
 *
 * Created on November 21, 2014, 2:54 PM
 */

#ifndef DISPLAYMANAGER_H
#define	DISPLAYMANAGER_H

#ifdef	__cplusplus
extern "C"
{
#endif

void DisplayManager_Initialize();

void DisplayManager_BTCharReceived(char ch);
void DisplayManager_SUTCharReceived(char ch);
void DisplayManager_ShowBaudRate(int baud, size_t timeout);

#define DISPLAY_AUTO (-1)
#define DISPLAY_ERR (-2)
#define DISPLAY_TIMEOUT_INFINITE (-1)

#ifdef	__cplusplus
}
#endif

#endif	/* DISPLAYMANAGER_H */

